package com.example.afrishop_v3.models;

import lombok.Data;

import javax.persistence.Entity;
import javax.persistence.Id;
import java.io.Serializable;
import java.util.Date;

/**
 * 商品参数实体
 * 表名 tb_cf_item_param
 *
 * @author lipengjun
 * @date 2020-05-20 10:50:25
 */
@Entity
@Data
public class TbCfItemParam {

    /**
     * 商品参数ID
     */
    @Id
    private String id;

    /**
     * 商品ID
     */
    private String itemId;
    /**
     * 属性ID
     */
    private String attrId;
    /**
     * 属性描述ID
     */
    private String attrDescId;

    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 更新时间
     */
    private Date updateTime;


    /**
     * 设置：商品参数ID
     */
    public void setId(String id) {
        this.id = id;
    }

    /**
     * 获取：商品参数ID
     */
    public String getId() {
        return id;
    }

    /**
     * 设置：商品ID
     */
    public void setItemId(String itemId) {
        this.itemId = itemId;
    }

    /**
     * 获取：商品ID
     */
    public String getItemId() {
        return itemId;
    }

    /**
     * 设置：创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 获取：创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * 设置：更新时间
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 获取：更新时间
     */
    public Date getUpdateTime() {
        return updateTime;
    }
}
